!++
!     Define symbols according to macro values
!--

.IFDEF DEBUG
DBG = /DEBUG
DBGOPT = /NOOPTIMIZE/DEBUG
.ELSE
DBG = /NODEBUG
DBGOPT = /OPTIMIZE/NODEBUG
.ENDIF

.IFDEF LIST
LST = /LIST
.ELSE
LST = /NOLIST
.ENDIF

.IFDEF DIAG
DIA = /DIAGNOSTICS
.ELSE
DIA = /NODIAGNOSTICS
.ENDIF

.IFDEF PCA
PCAOPT = /DEBUG
.ENDIF

!++
!      List of tools used and required symbols
!
!      !C used
!      !Executables used
!--


!++
!     Missing sources catch-all
!--

.DEFAULT
   ! No source found for $(MMS$TARGET)
   ! - Attempting to continue



!++
!   Complete application - default build item
!--

COMPLETE_APPLICATION depends_on -
     SIZE2.EXE_$(ARCH)
        CONTINUE


!++
!   C
!--

MMS$OLB_$(ARCH).OLB(SIZE2=SIZE2.OBJ_$(ARCH)) depends_on -
      SIZE2.C -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=SIZE2.OBJ_$(ARCH) SIZE2.C
       LIBRARY/REPLACE MMS$OLB_$(ARCH).OLB SIZE2.OBJ_$(ARCH)
       DELETE SIZE2.OBJ_$(ARCH);*


!++
!   Links
!--

SIZE2.EXE_$(ARCH) depends_on -
      MMS$OLB_$(ARCH).OLB(SIZE2=SIZE2.OBJ_$(ARCH)) -
     !
       LINK $(DBG) $(PCAOPT) /EXE=SIZE2.EXE_$(ARCH) MMS$OLB_$(ARCH).OLB/LIBRARY/INCLUDE=(SIZE2)/SYSEXE -
          ! End of Link




!++
!   Files not found.  MMS references to these files will generate errors.
!--

!     FATDEF.H
!     FCHDEF.H
!     FH2DEF.H
!     FI2DEF.H
!     HM2DEF.H
!     IOSBDEF.H

!++
!  Create object library if it doesn't already exist
!--

.FIRST
       IF F$SEARCH( "MMS$OLB.OLB_$(ARCH)" ) .EQS. "" -
		THEN $(LIBR)/CREATE MMS$OLB_$(ARCH).OLB

!++
!  End of build cleanup work
!--

.LAST
       CONTINUE

